aboutsummaryrefslogtreecommitdiffstats
path: root/functest/opnfv_tests/openstack/cinder/read_data.sh
diff options
context:
space:
mode:
Diffstat (limited to 'functest/opnfv_tests/openstack/cinder/read_data.sh')
-rw-r--r--functest/opnfv_tests/openstack/cinder/read_data.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/functest/opnfv_tests/openstack/cinder/read_data.sh b/functest/opnfv_tests/openstack/cinder/read_data.sh
new file mode 100644
index 000000000..90758436d
--- /dev/null
+++ b/functest/opnfv_tests/openstack/cinder/read_data.sh
@@ -0,0 +1,21 @@
+#!/bin/sh -e
+
+# Copyright (c) 2018 Enea AB and others
+
+# This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+
+VOL_DEV_NAME="$(lsblk -l | grep -Po '^[vs]dc\W')"
+
+if [ -n "$VOL_DEV_NAME" ]; then
+ sudo mount /dev/$VOL_DEV_NAME /home/cirros/volume;
+ if [ -f /home/cirros/volume/new_data ]; then
+ echo "Found existing data!";
+ else
+ echo "No data found on the volume!";
+ exit 1
+ fi
+fi